## org.eclipse.emf.transaction.impl
Class EMFCommandTransaction

    java.lang.Object
      org.eclipse.emf.transaction.impl.TransactionImpl
          org.eclipse.emf.transaction.impl.EMFCommandTransaction

All Implemented Interfaces:
  InternalTransaction, Transaction

Direct Known Subclasses:
  EMFOperationTransaction, TriggerCommandTransaction

    public class EMFCommandTransaction

extends TransactionImpl

A transaction implementation use by the command stack to wrap the execution of `Command`s, to provide them the write access that they need. The transaction knows the `command` that it is servicing.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.Transaction
`Transaction.OptionMetadata`

Field Summary

Fields inherited from class org.eclipse.emf.transaction.impl.TransactionImpl
`ALLOW_CHANGE_PROPAGATION_BLOCKING, BLOCK_CHANGE_PROPAGATION, change, DEFAULT_UNDO_REDO_OPTIONS, notifications, OPTION_EXECUTING_COMMAND, OPTION_IS_TRIGGER_TRANSACTION`

Fields inherited from interface org.eclipse.emf.transaction.Transaction
`OPTION_IS_UNDO_REDO_TRANSACTION, OPTION_NO_NOTIFICATIONS, OPTION_NO_TRIGGERS, OPTION_NO_UNDO, OPTION_NO_VALIDATION, OPTION_UNPROTECTED, OPTION_VALIDATE_EDIT, OPTION_VALIDATE_EDIT_CONTEXT`

Constructor Summary
`EMFCommandTransaction(org.eclipse.emf.common.command.Command command, InternalTransactionalEditingDomain domain, Map<?,?> options)` Initializes me with my command, editing domain, and options.

Method Summary
`org.eclipse.emf.common.command.Command` `getCommand()` Obtains the command for which I provide read/write access to the editing domain.

Methods inherited from class org.eclipse.emf.transaction.impl.TransactionImpl

`abort, add, addTriggers, close, collectsNotifications, commit, endPrivileged, getChangeDescription, getDefaultOptions, getEditingDomain, getInternalDomain, getLifecycle, getNotifications, getOptions, getOwner, getParent, getRoot, getStatus, getTriggers, hasOption, isAborted, isActive, isNotificationEnabled, isReadOnly, isRollingBack, isTriggerEnabled, isUndoEnabled, isUnprotected, isValidationEnabled, pause, resume, rollback, setParent, setStatus, start, startPrivileged, toString, validate, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFCommandTransaction

    public EMFCommandTransaction(org.eclipse.emf.common.command.Command command,
                                 InternalTransactionalEditingDomain domain,
                                 Map<?,?> options)

  Initializes me with my command, editing domain, and options.

  Parameters:
    `command` - the command that I am servicing
    `domain` - the editing domain in which I am active
    `options` - my options

Method Detail

### getCommand

    public final org.eclipse.emf.common.command.Command getCommand()

  Obtains the command for which I provide read/write access to the editing domain.

  Returns:
    my command

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.